C-----------------------------------------------------------------------
C     Syntax:
C     >> [data_S, data_E, en] = get_spe_fortran (filename)
C
C     filename            name of spe file
C
C     data_S(ne,ndet)     here ndet=no. detectors, ne=no. energy bins
C     data_ERR(ne,ndet)       "
C     en(ne+1,1)          energy bin boundaries
C
C
C-----------------------------------------------------------------------
C Read header of spe file, get number of detectors(ndet) 
C and number of energy bins (ne)
      subroutine load_spe_header(ndet,ne,filename)
      implicit none
      integer ndet,ne
      character*(*) filename

      open(unit=1,file=filename,READONLY,ERR=999)
      read(1,*,ERR=999) ndet,ne 
      close(unit=1)  
      return  

  999 ndet=0    ! convention for error reading file
      close(unit=1)
      return 
      end    

C-----------------------------------------------------------------------
C Read spe data 
      subroutine load_spe(ndet,ne,data_S,data_ERR,data_en,filename)
      implicit none      
      integer ndet,ne,idet,ien,dum(ndet+1)
C     Define pointers to arrays
      double precision data_S(ne,ndet),data_ERR(ne,ndet),data_en(ne+1)
      character*(*) filename

C Skip over the first two lines with ndet, ne and some text ###        
      open(unit=1,file=filename,READONLY,ERR=999)
      read(1,*,ERR=999) dum(1),dum(2)
      read(1,*,ERR=999)
C angles (not used)
      read(1,'(8F10.0)',ERR=999) (dum(idet),idet=1,ndet+1)
      read(1,*,ERR=999)
C energy bins
      read(1,'(8F10.0)',ERR=999) (data_en(ien),ien=1,ne+1)    
C read intensities + errors
      do idet=1,ndet
          read(1,*,ERR=999)
          read(1,'(8F10.0)',ERR=999) (data_S(ien,idet),ien=1,ne)
          read(1,*,ERR=999)
          read(1,'(8F10.0)',ERR=999)(data_ERR(ien,idet),ien=1,ne)
      enddo
      close(unit=1)
      return

 999  ndet=0    ! convention for error reading file
      close(unit=1)
      return
      end
