C-----------------------------------------------------------------------
C
C     In an spe file, only the energy bin boundaries, the intensity and
C     error bars are written. There is another field written that is
C     now redundant, but for backwards compatibility has to still be
C     present in the file. However, it can be filled with dummy values
C     - here, 0.5, 1.5, 2.5, ... ndet+0.5, where ndet is the number
C     of workkspaces.
C
C     data_S(ne,ndet)     here ndet=no. detectors, ne=no. energy bins
C     data_ERR(ne,ndet)       "
C     en(ne+1)            energy bin boundaries
C
C-----------------------------------------------------------------------
C Write spe data 
      subroutine write_spe(ndet,ne,data_S,data_ERR,data_en,
     +                                            filename,err)
      implicit none      
      integer ndet,ne,k,idet
      double precision data_S(ne,ndet),data_ERR(ne,ndet),data_en(ne+1),
     +                 err
      character*(*) filename

      err=0.0d0
C Skip over the first two lines with ndet, ne and some text ###        
      open(unit=1,file=filename,status='REPLACE',ERR=999)
      write(1,'(2i8)',ERR=999) ndet,ne
C angles (not used)
      write (1,'(a)',ERR=999) '### Phi Grid'
      write (1,100,ERR=999) (dble(k)-0.5d0,k=1,ndet+1)
C energy bins
      write (1,'(a)',ERR=999) '### Energy Grid'
      write (1,100,ERR=999) (data_en(k),k=1,ne+1)    
C read intensities + errors
      do idet = 1, ndet
          write (1,'(a)',ERR=999) '### S(Phi,w)'
          write (1,100,ERR=999) (data_S(k,idet), k=1,ne)
          write (1,'(a)',ERR=999) '### Errors'
          write (1,100,ERR=999) (data_ERR(k,idet), k=1,ne)      
      end do
 100  format(1p,8e10.3)
      close(unit=1)
      return

 999  err=1.0d0    ! convention for error writing file
      close(unit=1)
      return
      end
